umbrello: UMLViewImageExporterAll Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
UMLViewImageExporterAll Class Reference

`#include <umlviewimageexporterall.h>`

## Public Member Functions
| UMLViewImageExporterAll ()
virtual | ~UMLViewImageExporterAll ()
void | exportViews (DiagramPrintPage *selectPage)
void | exportViews (const UMLViewList &views)

## Private Attributes
ExportAllViewsDialog * | m_dialog
| Dialog to get the needed parameters from the user.

## Detailed Description

Exports all the views in the UML document as images. This class takes care of asking the user the needed parameters and then exports the views using UMLViewImageExporterModel.

## Constructor & Destructor Documentation

## ◆ UMLViewImageExporterAll()

UMLViewImageExporterAll::UMLViewImageExporterAll | ( |  | ) |

Constructor for UMLViewImageExporterAll

## ◆ ~UMLViewImageExporterAll()

UMLViewImageExporterAll::~UMLViewImageExporterAll | ( |  | ) |
| virtual

Destructor for UMLViewImageExporterAll

## Member Function Documentation

## ◆ exportViews() [1/2]

void UMLViewImageExporterAll::exportViews | ( | const UMLViewList & | views | ) |

Shows a dialog to the user to get the needed parameters and then exports the views. The dialog remembers values between calls (in the same application instance, although it's not persistent between Umbrello executions).

Once the export begins, it can't be stopped until it ends itself. The status bar shows an information message until the export finishes.

If something went wrong while exporting, an error dialog is shown to the user with the error messages explaining the problems occurred.

## ◆ exportViews() [2/2]

void UMLViewImageExporterAll::exportViews | ( | DiagramPrintPage * | selectPage | ) |

Export views selected by the DiagramPrintPage instance.

See exportViews(const UMLViewList &views) for more details.

Parameters

  selectPage | instance of DiagramPrintPage

## Member Data Documentation

## ◆ m_dialog

ExportAllViewsDialog* UMLViewImageExporterAll::m_dialog
| private

Dialog to get the needed parameters from the user.

The documentation for this class was generated from the following files:

- umbrello/umlviewimageexporterall.h
- umbrello/umlviewimageexporterall.cpp